
Foreman - Bug #29614

Search in Template editor doesn't work at all

04/24/2020 09:16 AM - Marcel Kühlhorn

Status: Closed   

Priority: Normal   

Assignee: Maria Agaphontzev   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases: 3.0.0

Triaged: No Found in Releases: 1.24.2, 2.2.0, 2.3.0, 2.4.0

Bugzilla link: 1971072 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8621

  

Description

When searching for a variable or parameter in a template with CTRL+F the search only covers the currently visible part of the

template, it should search in the whole template

Associated revisions

Revision 2d8b1bbc - 06/25/2021 10:11 AM - Maria Agaphontzev

Fixes #29614 - add search to ace editor

History

#1 - 05/07/2021 09:42 AM - Bernhard Suttner

- Found in Releases 2.3.0 added

The search functionality doesn't work in foreman 2.3, too. Did you already recognize this?

#2 - 05/27/2021 10:26 AM - Bernhard Suttner

- Assignee set to Avi Sharvit

Currently I see, that the  search functionality in the templates editor is completely unusable. No search box is even shown.

#3 - 05/27/2021 10:27 AM - Bernhard Suttner

- Found in Releases 2.2.0, 2.4.0 added

#4 - 05/27/2021 10:27 AM - Bernhard Suttner

- Subject changed from Search in Template editor only works for currently visible part to Search in Template editor doesn't work at all

#5 - 05/28/2021 01:58 PM - Bernhard Suttner

I tried:

- to add ace-builds so that "import 'ace-builds/src-min-noconflict/ext-searchbox';" works. Issue "ace.require is not a function" see 

https://github.com/securingsincity/react-ace/issues/722

- to replace react-ace with https://www.npmjs.com/package/react-ace-builds - search box is still not shown.

#6 - 06/09/2021 11:18 AM - Maria Agaphontzev

- Assignee changed from Avi Sharvit to Maria Agaphontzev

Currently to work around a user can open the ace editor in full screen and then the browser search works there. (using the maximize button)

#7 - 06/24/2021 10:53 AM - Maria Agaphontzev

- Bugzilla link set to 1971072

added a related bz, not completely the same bug
https://github.com/securingsincity/react-ace/issues/722
https://www.npmjs.com/package/react-ace-builds


#8 - 06/24/2021 01:24 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8621 added

#9 - 06/25/2021 10:12 AM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#10 - 06/25/2021 11:08 AM - Maria Agaphontzev

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|2d8b1bbc5321d7a8dae2a9389fd9e484dc8212a4.
